## idmef-message-print

idmef-message-print

## Functions

void | idmef_additional_data_print ()
void | idmef_reference_print ()
void | idmef_classification_print ()
void | idmef_user_id_print ()
void | idmef_user_print ()
void | idmef_address_print ()
void | idmef_process_print ()
void | idmef_web_service_print ()
void | idmef_snmp_service_print ()
void | idmef_service_print ()
void | idmef_node_print ()
void | idmef_source_print ()
void | idmef_file_access_print ()
void | idmef_inode_print ()
void | idmef_checksum_print ()
void | idmef_file_print ()
void | idmef_linkage_print ()
void | idmef_target_print ()
void | idmef_analyzer_print ()
void | idmef_alertident_print ()
void | idmef_impact_print ()
void | idmef_action_print ()
void | idmef_confidence_print ()
void | idmef_assessment_print ()
void | idmef_tool_alert_print ()
void | idmef_correlation_alert_print ()
void | idmef_overflow_alert_print ()
void | idmef_alert_print ()
void | idmef_heartbeat_print ()
void | idmef_message_print ()

## Description

## Functions

### idmef_additional_data_print ()

    void
    idmef_additional_data_print (idmef_additional_data_t *ptr,
                                 prelude_io_t *fd);

This function will convert `ptr` to a string suitable for writing, and write it to the provided `fd` descriptor.

#### Parameters

ptr | Pointer to an idmef_additional_data_t object. |
fd | Pointer to a prelude_io_t object where to print `ptr` to. |

### idmef_reference_print ()

    void
    idmef_reference_print (idmef_reference_t *ptr,
                           prelude_io_t *fd);

This function will convert `ptr` to a string suitable for writing, and write it to the provided `fd` descriptor.

#### Parameters

ptr | Pointer to an idmef_reference_t object. |
fd | Pointer to a prelude_io_t object where to print `ptr` to. |

### idmef_classification_print ()

    void
    idmef_classification_print (idmef_classification_t *ptr,
                                prelude_io_t *fd);

This function will convert `ptr` to a string suitable for writing, and write it to the provided `fd` descriptor.

#### Parameters

ptr | Pointer to an idmef_classification_t object. |
fd | Pointer to a prelude_io_t object where to print `ptr` to. |

### idmef_user_id_print ()

    void
    idmef_user_id_print (idmef_user_id_t *ptr,
                         prelude_io_t *fd);

This function will convert `ptr` to a string suitable for writing, and write it to the provided `fd` descriptor.

#### Parameters

ptr | Pointer to an idmef_user_id_t object. |
fd | Pointer to a prelude_io_t object where to print `ptr` to. |

### idmef_user_print ()

    void
    idmef_user_print (idmef_user_t *ptr,
                      prelude_io_t *fd);

This function will convert `ptr` to a string suitable for writing, and write it to the provided `fd` descriptor.

#### Parameters

ptr | Pointer to an idmef_user_t object. |
fd | Pointer to a prelude_io_t object where to print `ptr` to. |

### idmef_address_print ()

    void
    idmef_address_print (idmef_address_t *ptr,
                         prelude_io_t *fd);

This function will convert `ptr` to a string suitable for writing, and write it to the provided `fd` descriptor.

#### Parameters

ptr | Pointer to an idmef_address_t object. |
fd | Pointer to a prelude_io_t object where to print `ptr` to. |

### idmef_process_print ()

    void
    idmef_process_print (idmef_process_t *ptr,
                         prelude_io_t *fd);

This function will convert `ptr` to a string suitable for writing, and write it to the provided `fd` descriptor.

#### Parameters

ptr | Pointer to an idmef_process_t object. |
fd | Pointer to a prelude_io_t object where to print `ptr` to. |

### idmef_web_service_print ()

    void
    idmef_web_service_print (idmef_web_service_t *ptr,
                             prelude_io_t *fd);

This function will convert `ptr` to a string suitable for writing, and write it to the provided `fd` descriptor.

#### Parameters

ptr | Pointer to an idmef_web_service_t object. |
fd | Pointer to a prelude_io_t object where to print `ptr` to. |

### idmef_snmp_service_print ()

    void
    idmef_snmp_service_print (idmef_snmp_service_t *ptr,
                              prelude_io_t *fd);

This function will convert `ptr` to a string suitable for writing, and write it to the provided `fd` descriptor.

#### Parameters

ptr | Pointer to an idmef_snmp_service_t object. |
fd | Pointer to a prelude_io_t object where to print `ptr` to. |

### idmef_service_print ()

    void
    idmef_service_print (idmef_service_t *ptr,
                         prelude_io_t *fd);

This function will convert `ptr` to a string suitable for writing, and write it to the provided `fd` descriptor.

#### Parameters

ptr | Pointer to an idmef_service_t object. |
fd | Pointer to a prelude_io_t object where to print `ptr` to. |

### idmef_node_print ()

    void
    idmef_node_print (idmef_node_t *ptr,
                      prelude_io_t *fd);

This function will convert `ptr` to a string suitable for writing, and write it to the provided `fd` descriptor.

#### Parameters

ptr | Pointer to an idmef_node_t object. |
fd | Pointer to a prelude_io_t object where to print `ptr` to. |

### idmef_source_print ()

    void
    idmef_source_print (idmef_source_t *ptr,
                        prelude_io_t *fd);

This function will convert `ptr` to a string suitable for writing, and write it to the provided `fd` descriptor.

#### Parameters

ptr | Pointer to an idmef_source_t object. |
fd | Pointer to a prelude_io_t object where to print `ptr` to. |

### idmef_file_access_print ()

    void
    idmef_file_access_print (idmef_file_access_t *ptr,
                             prelude_io_t *fd);

This function will convert `ptr` to a string suitable for writing, and write it to the provided `fd` descriptor.

#### Parameters

ptr | Pointer to an idmef_file_access_t object. |
fd | Pointer to a prelude_io_t object where to print `ptr` to. |

### idmef_inode_print ()

    void
    idmef_inode_print (idmef_inode_t *ptr,
                       prelude_io_t *fd);

This function will convert `ptr` to a string suitable for writing, and write it to the provided `fd` descriptor.

#### Parameters

ptr | Pointer to an idmef_inode_t object. |
fd | Pointer to a prelude_io_t object where to print `ptr` to. |

### idmef_checksum_print ()

    void
    idmef_checksum_print (idmef_checksum_t *ptr,
                          prelude_io_t *fd);

This function will convert `ptr` to a string suitable for writing, and write it to the provided `fd` descriptor.

#### Parameters

ptr | Pointer to an idmef_checksum_t object. |
fd | Pointer to a prelude_io_t object where to print `ptr` to. |

### idmef_file_print ()

    void
    idmef_file_print (idmef_file_t *ptr,
                      prelude_io_t *fd);

This function will convert `ptr` to a string suitable for writing, and write it to the provided `fd` descriptor.

#### Parameters

ptr | Pointer to an idmef_file_t object. |
fd | Pointer to a prelude_io_t object where to print `ptr` to. |

### idmef_linkage_print ()

    void
    idmef_linkage_print (idmef_linkage_t *ptr,
                         prelude_io_t *fd);

This function will convert `ptr` to a string suitable for writing, and write it to the provided `fd` descriptor.

#### Parameters

ptr | Pointer to an idmef_linkage_t object. |
fd | Pointer to a prelude_io_t object where to print `ptr` to. |

### idmef_target_print ()

    void
    idmef_target_print (idmef_target_t *ptr,
                        prelude_io_t *fd);

This function will convert `ptr` to a string suitable for writing, and write it to the provided `fd` descriptor.

#### Parameters

ptr | Pointer to an idmef_target_t object. |
fd | Pointer to a prelude_io_t object where to print `ptr` to. |

### idmef_analyzer_print ()

    void
    idmef_analyzer_print (idmef_analyzer_t *ptr,
                          prelude_io_t *fd);

This function will convert `ptr` to a string suitable for writing, and write it to the provided `fd` descriptor.

#### Parameters

ptr | Pointer to an idmef_analyzer_t object. |
fd | Pointer to a prelude_io_t object where to print `ptr` to. |

### idmef_alertident_print ()

    void
    idmef_alertident_print (idmef_alertident_t *ptr,
                            prelude_io_t *fd);

This function will convert `ptr` to a string suitable for writing, and write it to the provided `fd` descriptor.

#### Parameters

ptr | Pointer to an idmef_alertident_t object. |
fd | Pointer to a prelude_io_t object where to print `ptr` to. |

### idmef_impact_print ()

    void
    idmef_impact_print (idmef_impact_t *ptr,
                        prelude_io_t *fd);

This function will convert `ptr` to a string suitable for writing, and write it to the provided `fd` descriptor.

#### Parameters

ptr | Pointer to an idmef_impact_t object. |
fd | Pointer to a prelude_io_t object where to print `ptr` to. |

### idmef_action_print ()

    void
    idmef_action_print (idmef_action_t *ptr,
                        prelude_io_t *fd);

This function will convert `ptr` to a string suitable for writing, and write it to the provided `fd` descriptor.

#### Parameters

ptr | Pointer to an idmef_action_t object. |
fd | Pointer to a prelude_io_t object where to print `ptr` to. |

### idmef_confidence_print ()

    void
    idmef_confidence_print (idmef_confidence_t *ptr,
                            prelude_io_t *fd);

This function will convert `ptr` to a string suitable for writing, and write it to the provided `fd` descriptor.

#### Parameters

ptr | Pointer to an idmef_confidence_t object. |
fd | Pointer to a prelude_io_t object where to print `ptr` to. |

### idmef_assessment_print ()

    void
    idmef_assessment_print (idmef_assessment_t *ptr,
                            prelude_io_t *fd);

This function will convert `ptr` to a string suitable for writing, and write it to the provided `fd` descriptor.

#### Parameters

ptr | Pointer to an idmef_assessment_t object. |
fd | Pointer to a prelude_io_t object where to print `ptr` to. |

### idmef_tool_alert_print ()

    void
    idmef_tool_alert_print (idmef_tool_alert_t *ptr,
                            prelude_io_t *fd);

This function will convert `ptr` to a string suitable for writing, and write it to the provided `fd` descriptor.

#### Parameters

ptr | Pointer to an idmef_tool_alert_t object. |
fd | Pointer to a prelude_io_t object where to print `ptr` to. |

### idmef_correlation_alert_print ()

    void
    idmef_correlation_alert_print (idmef_correlation_alert_t *ptr,
                                   prelude_io_t *fd);

This function will convert `ptr` to a string suitable for writing, and write it to the provided `fd` descriptor.

#### Parameters

ptr | Pointer to an idmef_correlation_alert_t object. |
fd | Pointer to a prelude_io_t object where to print `ptr` to. |

### idmef_overflow_alert_print ()

    void
    idmef_overflow_alert_print (idmef_overflow_alert_t *ptr,
                                prelude_io_t *fd);

This function will convert `ptr` to a string suitable for writing, and write it to the provided `fd` descriptor.

#### Parameters

ptr | Pointer to an idmef_overflow_alert_t object. |
fd | Pointer to a prelude_io_t object where to print `ptr` to. |

### idmef_alert_print ()

    void
    idmef_alert_print (idmef_alert_t *ptr,
                       prelude_io_t *fd);

This function will convert `ptr` to a string suitable for writing, and write it to the provided `fd` descriptor.

#### Parameters

ptr | Pointer to an idmef_alert_t object. |
fd | Pointer to a prelude_io_t object where to print `ptr` to. |

### idmef_heartbeat_print ()

    void
    idmef_heartbeat_print (idmef_heartbeat_t *ptr,
                           prelude_io_t *fd);

This function will convert `ptr` to a string suitable for writing, and write it to the provided `fd` descriptor.

#### Parameters

ptr | Pointer to an idmef_heartbeat_t object. |
fd | Pointer to a prelude_io_t object where to print `ptr` to. |

### idmef_message_print ()

    void
    idmef_message_print (idmef_message_t *ptr,
                         prelude_io_t *fd);

This function will convert `ptr` to a string suitable for writing, and write it to the provided `fd` descriptor.

#### Parameters

ptr | Pointer to an idmef_message_t object. |
fd | Pointer to a prelude_io_t object where to print `ptr` to. |